ranch_proxy_header:parse(3)

NAME

ranch_proxy_header:parse - Parse a PROXY protocol header

DESCRIPTION
    parse(Data :: binary())
        -> {ok, ranch_proxy_header:proxy_info(), Rest :: binary()}
         | {error, HumanReadable :: atom()}

Parse a PROXY protocol header.

ARGUMENTS

Data
    The PROXY protocol header optionally followed by more data.

RETURN VALUE

An ok tuple is returned on success, containing the proxy information found in the header and the rest of the data if more was provided.

An error tuple is returned when a protocol error is detected. It contains a human readable message about the error.

CHANGELOG
    • 1.7: Function introduced.

EXAMPLES

Parse the PROXY protocol header
    {ok ProxyInfo, Rest} = ranch_proxy_header:parse(Data).

SEE ALSO

ranch_proxy_header:header(3), ranch_proxy_header:to_connection_info(3), ranch_proxy_header(3)